Bug 764776 - (GLUSTER-3044) provide option to set syslog loglevel through CLI
provide option to set syslog loglevel through CLI
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Junaid
Depends On:
  Show dependency treegraph
Reported: 2011-06-16 12:14 EDT by Amar Tumballi
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: RTP
Mount Type: ---
Documentation: DP
Verified Versions: glusterfs-3.3.0qa9
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2011-06-16 12:14:05 EDT
currently all the CRITICAL logs goes to syslog, but there is no option for admin to change that to send everything from 'WARNING' to send to syslog. Need that option in CLI.
Comment 1 Amar Tumballi 2011-06-22 00:05:49 EDT
Junaid, lets talk on implementation details when ever you pick up this bug.
Comment 2 Anand Avati 2011-07-11 23:19:21 EDT
PATCH: http://patches.gluster.com/patch/7667 in master (libglusterfs/logging: Added functions to set sys-log-level.)
Comment 3 Anand Avati 2011-07-11 23:19:27 EDT
PATCH: http://patches.gluster.com/patch/7628 in master (mgmt/glusterd: Make glusterd aware of sys-log-level options.)
Comment 4 Anand Avati 2011-07-11 23:19:33 EDT
PATCH: http://patches.gluster.com/patch/7629 in master (debug/io-stats: Added sys-log-level option.)
Comment 5 Raghavendra Bhat 2011-09-16 03:42:02 EDT
Its works now. Set the sys log level for the bricks to WARNING.

gluster volume set <volname> brick-log-level WARNING. Ran posix compliance test on the mount point (which tries to create files with filename exceeding the maximum limit). File /var/log/messages had the error logs of glusterfsd.

Sep 16 06:39:56 Centos1 GlusterFS[13104]: [2011-09-16 06:39:56.127213] E [posix.c:129:posix_lookup] 0-mirror-posix: lstat on /_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789_12345 failed: File name too long

Note You need to log in before you can comment on or make changes to this bug.